Skip to navigation

Get pre-service run

Beta

Retrieve the result of a pre-service run. This endpoint supports long-polling.

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

run_idUUIDRequired

Query parameters

include_initial_entity_statebooleanOptional

If true, the run result includes the entity exactly as it was submitted. Default = False

Response

This endpoint returns an object.
run_idUUID
created_atdatetime
entity_external_idstring

The client’s internal ID for the entity that was submitted for pre-service rule processing.

actionslist of any
Actions recommended by the rules engine.
initial_entity_statemap from strings to anyOptional

The submitted entity. Only set if the request asked for it via include_initial_entity_state.

editsmap from strings to anyOptional
Recommended edits to the submitted entity.
errorobjectOptional
Set if the run encountered an unrecoverable error.

Errors

403
Unauthorized Error
404
Entity Not Found Error